javax.persistence

## Class PersistenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EntityExistsException, EntityNotFoundException, LockTimeoutException, NonUniqueResultException, NoResultException, OptimisticLockException, PessimisticLockException, QueryTimeoutException, RollbackException, TransactionRequiredException

    public class PersistenceException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PersistenceException()`
`PersistenceException(String message)`
`PersistenceException(String message, Throwable cause)`
`PersistenceException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PersistenceException

    public PersistenceException()

#### PersistenceException

    public PersistenceException(String message)

#### PersistenceException

    public PersistenceException(String message,
                                Throwable cause)

#### PersistenceException

    public PersistenceException(Throwable cause)